APIReference
Загрузить файл датасета
Авторизация
apiToken АвторизацияBearer <token>
StackMoreLayers API token. Send as
Authorization: Bearer sml_pat_live_<prefix>.<secret>.
In: header
Заголовки
Idempotency-Key?string
Opaque client-generated key. A retry with the same key and body returns the original result instead of repeating the effect.
Match
^[!-~]+$Length
8 <= length <= 128Тело запроса
multipart/form-data
Типы TypeScript
Use the request body type in TypeScript.
Ответ
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/datasets/ingestions/upload/" \ -F file="string"{ "id": "string", "title": "string", "visibility": "private", "status": "string", "validation_status": "string", "security_status": "string", "latest_version_id": "string", "size_bytes": 0, "file_count": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "metadata": {}, "publication": { "id": "string", "model_id": "string", "model_version_id": "string", "status": "publishing", "error_code": "string", "retryable": true, "visibility": "private", "model_alias": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "finished_at": "2019-08-24T14:15:22Z" }}